# postgress an express app
# docker compose : 

version: '3.1'

volumes:
  db-data:

services:
  db:
    image: postgres
    restart: always
    environment:
      POSTGRES_USER: ybook
      POSTGRES_PASSWORD: ybook
      POSTGRES_DB: ybook
    ports:
      - 5432:5432
    volumes:
      - db-data:/var/lib/postgresql/data

  web:
    image: registry.gitlab.com/rmariehme/ynov/m1/pipeline/ybook-back:main
    restart: always
    ports:
      - 3000:3000
    environment:
      DATABASE_URL: postgres://ybook:ybook@db:5432/ybook
    volumes:
      - .:/usr/src/app
    depends_on:
      - db